function $AdfAgentHelper$$() {
  this.Init();
}
$goog$exportSymbol$$("AdfAgentHelper", $AdfAgentHelper$$);
$AdfObject$$.$createSubclass$($AdfAgentHelper$$);
$AdfAgentHelper$$.prototype.Init = function $$AdfAgentHelper$$$$Init$() {
  $AdfAgentHelper$$.$superclass$.Init.call(this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfAgentHelper.prototype.Init", {Init:$AdfAgentHelper$$.prototype.Init});
$AdfAgentHelper$$.$getInstance$ = function $$AdfAgentHelper$$$$getInstance$$() {
  null == $AdfAgentHelper$$.$_instance$ && ($AdfAgentHelper$$.$_instance$ = new $AdfAgentHelper$$);
  return $AdfAgentHelper$$.$_instance$;
};
$goog$exportSymbol$$("AdfAgentHelper.getInstance", $AdfAgentHelper$$.$getInstance$);
$AdfAgentHelper$$.prototype.$isLocalStorageEnabled$ = function $$AdfAgentHelper$$$$$isLocalStorageEnabled$$() {
  if (void 0 === this.$_isLocalStorageEnabled$) {
    var $window$$3$$ = $AdfAgent$$.$AGENT$.$getDomWindow$(), $locSto$$ = null;
    try {
      $locSto$$ = $window$$3$$.localStorage;
    } catch ($e$$95$$) {
      this.$_isLocalStorageEnabled$ = !1;
    }
    if (null != $locSto$$) {
      if ("undefined" === typeof $locSto$$) {
        this.$_isLocalStorageEnabled$ = !1;
      } else {
        try {
          $locSto$$.setItem("_adfTestKey", "on"), $locSto$$.removeItem("_adfTestKey"), this.$_isLocalStorageEnabled$ = !0;
        } catch ($e$$96$$) {
          $AdfLogger$$.$LOGGER$.$logErrorAsInfo$($e$$96$$, "Cannot store data to browser's localStore."), this.$_isLocalStorageEnabled$ = !1;
        }
      }
    }
  }
  return this.$_isLocalStorageEnabled$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfAgentHelper.prototype.isLocalStorageEnabled", {$isLocalStorageEnabled$:$AdfAgentHelper$$.prototype.$isLocalStorageEnabled$});
$AdfAgentHelper$$.prototype.$setLocalStorageProperty$ = function $$AdfAgentHelper$$$$$setLocalStorageProperty$$($propKey$$17$$, $propValue$$9$$) {
  this.$isLocalStorageEnabled$() && $AdfAgent$$.$AGENT$.$getDomWindow$().localStorage.setItem($propKey$$17$$, $propValue$$9$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfAgentHelper.prototype.setLocalStorageProperty", {$setLocalStorageProperty$:$AdfAgentHelper$$.prototype.$setLocalStorageProperty$});
$AdfAgentHelper$$.prototype.$getLocalStorageKeys$ = function $$AdfAgentHelper$$$$$getLocalStorageKeys$$() {
  if (this.$isLocalStorageEnabled$()) {
    for (var $keys$$4$$ = [], $i$$221$$ = 0;$i$$221$$ < $AdfAgent$$.$AGENT$.$getDomWindow$().localStorage.length;$i$$221$$++) {
      $keys$$4$$.push($AdfAgent$$.$AGENT$.$getDomWindow$().localStorage.key($i$$221$$));
    }
    return $keys$$4$$;
  }
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfAgentHelper.prototype.getLocalStorageKeys", {$getLocalStorageKeys$:$AdfAgentHelper$$.prototype.$getLocalStorageKeys$});
$AdfAgentHelper$$.prototype.$getLocalStorageProperty$ = function $$AdfAgentHelper$$$$$getLocalStorageProperty$$($propKey$$18$$) {
  return this.$isLocalStorageEnabled$() ? $AdfAgent$$.$AGENT$.$getDomWindow$().localStorage.getItem($propKey$$18$$) : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfAgentHelper.prototype.getLocalStorageProperty", {$getLocalStorageProperty$:$AdfAgentHelper$$.prototype.$getLocalStorageProperty$});
$AdfAgentHelper$$.prototype.$removeLocalStorageProperty$ = function $$AdfAgentHelper$$$$$removeLocalStorageProperty$$($propKey$$19$$) {
  this.$isLocalStorageEnabled$() && $AdfAgent$$.$AGENT$.$getDomWindow$().localStorage.removeItem($propKey$$19$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfAgentHelper.prototype.removeLocalStorageProperty", {$removeLocalStorageProperty$:$AdfAgentHelper$$.prototype.$removeLocalStorageProperty$});
